﻿using System.Collections.ObjectModel;

namespace TestProject;

/// <summary>
/// 항목
/// </summary>
public class Item
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Property
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 항목명 - Name

    /// <summary>
    /// 항목명
    /// </summary>
    public string Name { get; set; }

    #endregion
    #region 자식 항목 컬렉션 - ChildItemCollection

    /// <summary>
    /// 자식 항목 컬렉션
    /// </summary>
    public ObservableCollection<Item> ChildItemCollection { get; set; } = new ObservableCollection<Item>();

    #endregion

    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 문자열 구하기 - ToString()

    /// <summary>
    /// 문자열 구하기
    /// </summary>
    /// <returns>문자열</returns>
    public override string ToString()
    {
        return Name;
    }

    #endregion
}